Devuan bug report logs - #685
Unneeded dependency for systemd-standalone-tmpfiles

version graph

Package: lvm2; Maintainer for lvm2 is (unknown); Source for lvm2 is src:lvm2.

Reported by: Klaus Ethgen <Klaus@ethgen.de>

Date: Mon, 4 Jul 2022 07:20:02 UTC

Severity: normal

Tags: debian

Found in version 2.03.15-1

Done: Mark Hindley <mark@hindley.org.uk>

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.509 (Entity 5.509)
X-Loop: owner@bugs.devuan.org
From: "Devuan bug Tracking System" <owner@bugs.devuan.org>
To: Klaus Ethgen <Klaus@ethgen.de>
Subject: bug#685 closed by Mark Hindley <mark@hindley.org.uk> (Re:
 bug#685: Unneeded dependency for systemd-standalone-tmpfiles)
Message-ID: <handler.685.D685.16734316521822.notifdone@bugs.devuan.org>
References: <Y76KF+5V+Q3n/6iO@hindley.org.uk>
 <YsKUAEz7E7xY/EoD@ikki.ethgen.ch>
X-Devuan-PR-Message: they-closed 685
X-Devuan-PR-Package: lvm2
X-Devuan-PR-Keywords: debian
Reply-To: 685@bugs.devuan.org
Date: Wed, 11 Jan 2023 10:08:04 +0000
Content-Type: multipart/mixed; boundary="----------=_1673431684-1829-1"
[Message part 1 (text/plain, inline)]
This is an automatic notification regarding your bug report
which was filed against the lvm2 package:

#685: Unneeded dependency for systemd-standalone-tmpfiles

It has been closed by Mark Hindley <mark@hindley.org.uk>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <mark@hindley.org.uk> by
replying to this email.


-- 
685: https://bugs.devuan.org/cgi/bugreport.cgi?bug=685
Devuan Bug Tracking System
Contact owner@bugs.devuan.org with problems
[Message part 2 (message/rfc822, inline)]
From: Mark Hindley <mark@hindley.org.uk>
To: 685-done@bugs.devuan.org
Cc: Klaus Ethgen <Klaus@ethgen.de>
Subject: Re: bug#685: Unneeded dependency for systemd-standalone-tmpfiles
Date: Wed, 11 Jan 2023 10:06:15 +0000
Klaus,

On Mon, Jul 04, 2022 at 09:23:52AM +0100, Mark Hindley wrote:
> Control: tags -1 debian
> 
> Klaus,
> 
> Thanks for this.
> 
> On Mon, Jul 04, 2022 at 08:17:20AM +0100, Klaus Ethgen wrote:
> > Package: lvm2
> > Version: 2.03.15-1
> > Severity: normal

Changes to debhelper mean that lvm2 no longer depends on
systemd-standalone-tmpfiles. So closing.

Mark
[Message part 3 (message/rfc822, inline)]
From: Klaus Ethgen <Klaus@ethgen.de>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: Unneeded dependency for systemd-standalone-tmpfiles
Date: Mon, 4 Jul 2022 08:17:20 +0100
[Message part 4 (text/plain, inline)]
Package: lvm2
Version: 2.03.15-1
Severity: normal

The new lvm2 package depends on systemd-standalone-tmpfiles which is
not mentioned in changelog and not used anywhere.

Please remove this poisoned dependency. I don't want any systemd
dependency on my system.

This is a violation of the debian package policy!

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 5 (daedalus/ceres)
Release:	5
Codename:	daedalus ceres
Architecture: x86_64

Kernel: Linux 5.16.17 (SMP w/8 CPU threads)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_FIRMWARE_WORKAROUND, TAINT_OOT_MODULE
Locale: LANG=C, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages lvm2 depends on:
ii  dmeventd                                        2:1.02.183-1
ii  dmsetup                                         2:1.02.183-1
ii  init-system-helpers                             1.63devuan1
ii  libaio1                                         0.3.113-2
ii  libblkid1                                       2.38-4devuan1
ii  libc6                                           2.33-7
ii  libdevmapper-event1.02.1                        2:1.02.183-1
ii  libedit2                                        3.1-20210910-1
ii  libelogind-compat [libsystemd0]                 246.10-5
ii  libeudev1 [libudev1]                            3.2.11-1
ii  libselinux1                                     3.4-1
ii  lsb-base                                        11.2
ii  systemd-standalone-tmpfiles [systemd-tmpfiles]  251.2-7

Versions of packages lvm2 recommends:
pn  thin-provisioning-tools  <none>

lvm2 suggests no packages.

-- Configuration Files:
/etc/lvm/lvm.conf changed [not included]

-- no debconf information
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <Klaus@Ethgen.ch>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed Apr 17 14:52:08 2024;